VTK: vtkTimeStamp Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | List of all members
vtkTimeStamp Class Reference

record modification and/or execution time More...

`#include <vtkTimeStamp.h>`

## Public Member Functions
| vtkTimeStamp ()
void | Delete ()
void | Modified ()
| Set this objects time to the current time. More...
vtkMTimeType | GetMTime () const
| Return this object's Modified time. More...
| operator vtkMTimeType () const
| Allow for typecasting to unsigned long. More...
bool | operator> (vtkTimeStamp &ts)
| Support comparisons of time stamp objects directly. More...
bool | operator< (vtkTimeStamp &ts)
| Support comparisons of time stamp objects directly. More...

## Static Public Member Functions
static vtkTimeStamp * | New ()

## Detailed Description

record modification and/or execution time

vtkTimeStamp records a unique time when the method Modified() is executed. This time is guaranteed to be monotonically increasing. Classes use this object to record modified and/or execution time. There is built in support for the binary < and > comparison operators between two vtkTimeStamp objects.

Online Examples:

Tests:
  vtkTimeStamp (Tests)

Definition at line 33 of file vtkTimeStamp.h.

## Constructor & Destructor Documentation

## ◆ vtkTimeStamp()

vtkTimeStamp::vtkTimeStamp | ( |  | ) |
| inline

Definition at line 36 of file vtkTimeStamp.h.

## Member Function Documentation

## ◆ New()

static vtkTimeStamp* vtkTimeStamp::New | ( |  | ) |
| static

## ◆ Delete()

void vtkTimeStamp::Delete | ( |  | ) |
| inline

Definition at line 38 of file vtkTimeStamp.h.

## ◆ Modified()

void vtkTimeStamp::Modified | ( |  | ) |

Set this objects time to the current time.

The current time is just a monotonically increasing unsigned long integer. It is possible for this number to wrap around back to zero. This should only happen for processes that have been running for a very long time, while constantly changing objects within the program. When this does occur, the typical consequence should be that some filters will update themselves when really they don't need to.

## ◆ GetMTime()

vtkMTimeType vtkTimeStamp::GetMTime | ( |  | ) | const
| inline

Return this object's Modified time.

Definition at line 55 of file vtkTimeStamp.h.

## ◆ operator>()

bool vtkTimeStamp::operator> | ( | vtkTimeStamp & | ts | ) |
| inline

Support comparisons of time stamp objects directly.

Definition at line 61 of file vtkTimeStamp.h.

## ◆ operator<()

bool vtkTimeStamp::operator< | ( | vtkTimeStamp & | ts | ) |
| inline

Support comparisons of time stamp objects directly.

Definition at line 62 of file vtkTimeStamp.h.

## ◆ operator vtkMTimeType()

vtkTimeStamp::operator vtkMTimeType | ( |  | ) | const
| inline

Allow for typecasting to unsigned long.

Definition at line 68 of file vtkTimeStamp.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkTimeStamp.h